# Willow JQueryUI

![Logo](assets/logos/128x128.png

Willow JQueryUI provides integration between [Willow](https://github.com/ba-st/Willow)
and [JQueryUI](http://jqueryui.com/)

[![Unit Tests](https://github.com/ba-st/Willow-JQueryUI/actions/workflows/unit-tests.yml/badge.svg)](https://github.com/ba-st/Willow-JQueryUI/actions/workflows/unit-tests.yml/badge.svg)
[![Coverage Status](https://codecov.io/github/ba-st/Willow-JQueryUI/coverage.svg?branch=release-candidate)](https://codecov.io/gh/ba-st/Willow-JQueryUI/branch/release-candidate)
[![Baseline Groups](https://github.com/ba-st/Willow-JQueryUI/actions/workflows/loading-groups.yml/badge.svg)](https://github.com/ba-st/Willow-JQueryUI/actions/workflows/loading-groups.yml)
[![Markdown Lint](https://github.com/ba-st/Willow-JQueryUI/actions/workflows/markdown-lint.yml/badge.svg)](https://github.com/ba-st/Willow-JQueryUI/actions/workflows/markdown-lint.yml)

[![GitHub release](https://img.shields.io/github/release/ba-st/Willow-JQueryUI.svg)](https://github.com/ba-st/Willow-JQueryUI/releases/latest)
[![Pharo 6.1](https://img.shields.io/badge/Pharo-6.1-informational)](https://pharo.org)
[![Pharo 7.0](https://img.shields.io/badge/Pharo-7.0-informational)](https://pharo.org)
[![Pharo 8.0](https://img.shields.io/badge/Pharo-8.0-informational)](https://pharo.org)
[![Pharo 9.0](https://img.shields.io/badge/Pharo-9.0-informational)](https://pharo.org)
[![Pharo 10](https://img.shields.io/badge/Pharo-10-informational)](https://pharo.org)

The project goal is to complement Willow with a component supplier that allows
the creation of JQuery UI applications.

## Quick links

- [**Explore the docs**](docs/README.md)
- [Report a defect](https://github.com/ba-st/Willow-JQueryUI/issues/new?labels=Type%3A+Defect)
- [Request a feature](https://github.com/ba-st/Willow-JQueryUI/issues/new?labels=Type%3A+Feature)

## License

- The code is licensed under [MIT](LICENSE).
- The documentation is licensed under [CC BY-SA 4.0](http://creativecommons.org/licenses/by-sa/4.0/).

## Installation

To load the project in a Pharo image follow this [instructions](docs/how-to/how-to-load-in-pharo.md).

## Contributing

Check the [Contribution Guidelines](CONTRIBUTING.md)
